childsplay (0.90.2)
    * Bugfix release.
    * Fixed bug #[ 1869682 ] some error when starting FOX

childsplay (0.90.1)
    * Bugfix release.
    * Fixed problem with comments in the config file (Thanks to Hans de Goede) 

childsplay (0.90)
    * New release.
    * Changed version from GPLv2 to GPLv3.

childsplay (0.85.2)
    * Bugfix release.
    * Updated all the lfc images.
    * Fixed a bug in the pacman game which caused to put
      two letters on the same place.
    * Added Greek language support.
    * Fixed bug in the Arabic font lookup code.
    
childsplay (0.85.1)
    * Bugfix release.
    * Fixed a number of bugs which crashed the memory game.
    
childsplay (0.85)
    * New release.
    * Updated artwork.
    * (plugins) Added new game, puzzle.

childsplay (0.84.2)
    * Changed splashscreen.
    * Added support for the lfc images in the letters game.
      This will add 70 more images and words.
    * Added support for user images to the lettersgame.
      Any images placed in .childsplay/letters/my_images
      are used.

childsplay (0.84.1)
    * Bugfix release.
    * Changed the distance the arrow moves in letters.
    * Updated slovenian language support.

childsplay (0.84)
    * New release.
    * Changed the license to the GPL version 2 only.
    * Added extra rc option 'kiosk_mode' used to disable the keyboard stuff.
    This is used when running childsplay in kiosk mode.
    
childsplay (0.83.1)
    * Bugfix release.
    * Added missing Portugese language support.
    * Clean up some icons. 

childsplay (0.83)
    * new release.
    * As there was never a 0.82.1 release this release has also all the changes
      mentioned in 0.82.1. (sorry for the confusion :-/ )
    * (plugins) Added a 'victory' sound to mt and fixed the time calculation used
      in the 'diploma' part.
    * Updated translations.
    * (plugins) Added a script to translate the users data from mt into 
      a csv list.
    * (plugins) The README's are now installed into the cildsplay doc directory.
    
childsplay (0.82.2)
    * No real release.
    * Updated the version of the core and plugin needed for the SF
      download redesign. This is NOT a new release there are no changes 
      compared to 0.82.1.
    
childsplay (0.82.1)
    * New release.
    * Changed the return value from the call to the CPSprite.refresh call.
    * Added more functionality to the SpriteUtils.
    * Added a timer clock to the Timer module.
    * (plugins) Added new game called multiTables, learn the multiplication 
      tables. 
    * Normalized volume levels of all audio files.
    * Added new splashscreen with the new logo.
    * Changed the icons.
    * Fixed a small bug in the CPSprite class related to the new style Python
      classes.
    
childsplay (0.81.8)
    * Bugfix release.
    * Added Swedish characters support to letters.py.
    * Added Swedish language support.

childsplay (0.81.7)
    * Added a progressbar.
    * Rewritten the load_music function. It now really uses a NoneSound object. 
    * Added a 'strict' argument to the search functions inside assetml modules. 
    * Changed fontsize in the score displays.
    * Fix a minor bug in the text formatting.
    * Added Arabic language support.
    * Added support for the shift key in the "exit yes/no" dialog.
      This is needed to support localized "y" key.
    * Fixed a number of bugs related to the windows support.
    * Changed some of the constants locations to provide easier porting
      to non-Linux platforms.
    * Added Arabic ttf font. (GPL)
        
childsplay (0.81.5)
    * Bugfix release.
    * Fixed fontsizes and positions in the pong and packid games.

childsplay (0.81.4)
    * Bugfix release.
    * Removed in packid the English alphabeth sounds in a non-english environment.
    * Added RTL support to the highscore inputbox.
    * Changed the way childsplay looks for non-latin fonts. It now first looks for the
       ttf-freefont fonts.
    * Changed the splash screen.
    * Fixed typo in the main help screen.
    * Fixed the size of the score display in a RTL environment.
    * Fixed the bug that leads to starting childsplay when installing plugins.
    * Adjusted the Latin fontsize in the packid and findsound2 games.
    * Fixed massive RTL/unicode problems in the pacman game, it's not perfect but 
      it's playable and it doesn't crash childsplay anymore. 
    * packid: Fixed the problem of not playing a sound when a letter was eaten.
    * Fixed the way the plugins checks for the installed childsplay version.
    * Fixed numerous minor bugs.

childsplay (0.81.2)
    * Bugfix release.
    * Added exception cache in the rtl check.
    * Added more exception caches in the locale setting stuff.
      This is done to prevent crashes on badly configured platforms like OSX.
      OSX Python locale support is currently broken. (Python version 2.3 and 2.4)
    * Added the missing Hebrew fontset.

childsplay (0.81.1)
    * New release.
    * Added support for the LANGUAGE evironment variable.
    * Added Hebrew language support with RTL text display.
    * Added two music files which are played at random in the main screen.
    
childsplay (0.80.3.2)
    * Bugfix release.
    * Adjusted the size of the letters used in the letters game.
    
childsplay (0.80.3.1)
    * Bugfix release.
    * Removed the non-free ttf from the tarball.

childsplay (0.80.3)
    * Bugfix release.
    * Fixed the indent in some of the utils.py functions.
    * Changed the volume of some of the packid sounds.
    * Added support for the exclusion of games.
    * Added Catalan and Slovenian language support.
    * Added a configuration option called 'letter_size' to
      the falling letters game to increase the size of the letters.
      This is done to help children with visual disabilities. 
    * Removed the freeware ttf fonts and replaced them with GPL licensed fonts
      
childsplay-plugins (0.80.2)
    * Bugfix release.
    * Fixed a nasty bug in the 'pong' game which leads
      to a crash of childsplay.
    * Fixed a number of logical bugs in the way
      the pc player handles it events.

childsplay (0.8.2)
    * Bugfix release.
    * Added Italian language support.
    * Changed the install scripts to fix some minor bugs.
    * Fix a bug in the configuration file location.
    * Added image transparency support.
     
childsplay (0.81.1)
    * Bugfix release.
    * Changed the keyboard event handling to fix a bug when using a non-qwerty
      keyboard.
    
childsplay (0.81)
    * New release.
    * Added "cache-all" locale check to pyassetml.get_locale() and
      utils.get_locale().
    
childsplay (0.80.1)
    * Bugfix release.
    * Added Windows 98 support.
    
childsplay (0.80)
    * Bugfix release
    * Refactor childsplay so that it complies to the FHS.
    * Removed the Makefile and replaced it with a Bash script, INSTALL.sh.
    * Added version string in the main help text.

childsplay (0.72-3)
    * Bugfix release
    * Fixed a bug related to rpm building.
    * Fixed a bug in the language support when setting a different locale
      in the rc file then the systems default.
    * Increased the audio buffer to prevent ausio problems with some soundcards.
      (RME proffesional audio cards are reported to suffer from small buffers)
    * Fixed a bug in the fallingletter game, now the game looks for the new pics
    * Updated Spanish language. 
    
childsplay (0.72)
    * New release.
    * Fixed some bugs in the numbers game. This game will be rewritten.
    * Added a new game, billiard. <Matias>
    * Changed the location of the score file to /var/games/childsplay.score 
    * Added language support to all the supported platforms.
    * Spell checked Dutch translations.
    * Fixed a number of bugs related to the Windows platform.    

childsplay (0.71-1)
    * Bugfix release.
    * Changed the way the walking sound is played in packid, it start when the
      letters starts to move.
    * Packid now uses the languagepacks when available, it speaks the letter on
      lunchtime :-)
    * Added a check in the get_locale method in pyassetml and utils. 
      This bug leads to a crash when childsplay was running on a platform with
      the locale set to "C". Fixed by <hathawsh at sf dot net>
      This crash happend when the letters game was selected. Also added an extra
      exception catch in letters.py.
    * Added French and Spanish translations to the letters game.
    * FreeBSD port available thanks to bruno schwander. bruno at tinkerbox.org

childsplay (0.71)
    * New release.
    * The icons from the bottom menu bar are now CPSprite objects. They are more
      robust now and it's easier to extend in the future.
    * Game modules which depends on sounds now checks if the sound system in usable.
      If not the game raises an exception.
    * Refined the usage of config files. Now childsplay checks and/or copy the used
      configfiles to the users homedir.
    * Added three games: Pong, findsound, and findsound2.
    * Provided langauge packs for findsound2.
    * Packid now display the top text on two lines, so now the word to find is 
      readable even when the translated lines are longer then the original.
    * Added INSTAL.sh which is just a wrapper around the "make install" command.
      I've done this because a lot of people think childsplay is compiled C code,
      because of the "make install" call :-D

childsplay (0.70)
    * New release.
    * Fixed a bug in the font rendering which could crash childsplay on Redhat/Fedora.
    * Changed the way the eventloops are run. They now use a clock object to reduce
       the cpu usages.
    * Removed, in the game over screen, the rocket which launched a space caracter.
    * Add a no-splash commandline option.
    * Added highlevel pygame classes to make the sprite handeling less buggy.
    * Changed the way CP handles an exit from the user right after startup,
      now it asks if the user wants to quit.
    * Major code cleanup: moved the whole menu class to a seperate module.        
    * Moved the constants used to a seperate module.
    * Updated the developers docs (also on the site)
    * Added a new game to the plugins package, fallingletters. This is a port
      of the Gcompris gletters game.
    * Put the gettext in childsplay toplevel code, now there's only one po file
      for everything.
    * Moved the gettext mo files to /usr/local/...
    * Added a script to the installer which tries to remove old mo files from
      /usr/share/locale.
    * Fixed a bug in the high score class which could crash childsplay in 
      combination with older plugins.
    * Fixed a score bug in the soundmemory game, there was no score :(
    * Fixed a potential bug in the way the menu icons are placed.
    * Changed  the way the letters game uses translated words, it now uses the
      assetml descriptions.
    * The installer now uses a different translation program for the letters game.
      It tries to generate a new assetml file with the users translations.
    * Fix a number of little things.

childsplay (0.69-2.1)
    * Bugfix release.
    * Fixed a bug in the scoring class, again. (it's a piece of crap)
    
childsplay (0.69-2)
    * Bugfix release.
    * Fixed bug in high score display.
      bug: There's no score display when the locale setting is other then
      english.
      solution: The problem lies in the use of the helptitle from the game
      in the scoring dict. Added a Misc class to store the helptitle in english.
    * Added spanish language support thanks to Adrian.
    * Cleanup the install scripts, checking of dependencies improved.
    * Added extra check for translation files from the letter game.  
    * Fixed the locale error in packid, again :-(, now it's fixed.

childsplay (0.69-1)
    * Bugfix release.
    * Fixed the bug which prevented the memory game from starting.
      reason: using wrong ScaleImages class. 

childsplay (0.69)
    * New release.
    * Dependency change; pygame >= 1.5.6, pyassetml >= 0.2.
    * Major code clean-up and added some classes and functions to make
      plugin development a bit easier.
    * Added unicode support, but due to a bug in pygame <= 1.5.5 Childsplay
      now depends on pygame >= 1.5.6.
    * Because of the crashing caused by the pygame bug, added a pygame version check
      to the install script.
    * Removed bc from the install.sh script, it seems it was not standard in
      every linux.
    * Updated the README docs.
    * Added assetml support, childsplay now depends on assetml.
    * Completly changed the memory game, it now uses different images, and a fourth
      level with down scaled cards.It's also possible to use your own images.
    * Some of the plugins uses assetml, (see www.ofset.org/assetml for info).
    * Added a image scaling class in utils.py.(used by memory.py)
    * Updated the french translation (by Jean-Philippe Ayanides)
    * import_module from utils.py now raises a MyError.
    * Removed pictures from clipart.com, wasn't sure about their licence.
    * Changed and cleaned up some images.
    * Fixed a nasty bug in packid in combination with locale 'C'. It prevented
      packid of finding a wordlist, so it could not be run.
    * Removed the buttons from the splash screen, it now runs in a window and 
      times out.
    * Added a sound memory game.
    * Added a class for handeling spites and conecting callback functions to sprites.
    * CP now checks and creates a directory tree in the users home directory, to store
      rc files and stuff. 
    * The cow sound in the splashscreen is now a ogg file (saves +- 200 kb) 
    * The framerate is down from 60 p/sec to 40 p/sec. This reduces the cpu usage from
      96% to 12% (on a 2gig).
    * Increased some of the animation steps due to the decrease in framerate.
    * Changed the way letters plugin handles words due to the switch to assetml
      in the memory game.
    * Put a gziped copy of the packid wordlists in the doc/po section of childsplay.
    * Fixed a bug in the score checking which could cause a crash in some rare cases.
    * Added turkish langauge support, thanks to Cartan.
    
childsplay (0.68) 
    * New release.
    * Added docstrings to childsplay.py
    * Added support for config files. Thanks to the ConfParser module by Charles Cazabon,
      a far superior config parser module then the python module; ConfigParser.
    * Childsplay doesn't exit anymore when it fails to save the score file.
    * Added modules import exception catch.
    * Added a general entrybox-edit function in utils.py.   
    * Added a splash screen.
    * Added German language support provided by Bernd Herd.
    * Fixed a bug in the ask_exit method (thanks Bernd)
    * Changed Debian packages into woody and sid.
    * Changed the way childsplay handles gettext text strings. It's now
      much easyer to translate the strings because CP wraps the strings.
    * Added pot files to the release.
    * Added/update several developers docs.
    * Some code clean up in the controller class.
    * Added configfile support in the plugins. 

childsplay (0.66-1) 05/05/2003
    * Bugfix release.
    * Fixed a bug which could cause to break the compiling to byte code
      with some python versions. 

childsplay (0.66) 10/03/2003
    * New release.
    * Added an 'import-any-module' function, so there's no need for the
      exec call. this exec call is removed.(I've never liked exec)
    * By adding the new import function there's also no need for eval call
      to instanceing the game class.(I never liked that either)(security issues)
    * Fixed few bug in the score class wich prevent some games to use the score framework.
    * Build debian packages.

childsplay (0.65) 25/01/2003
    * New release.
    * fixed these bugs:
        - in packid, last level uses words and multiple items.
        - in packid, last level screen clears not the words stuff.
        - after the last level in packid no high score check.
    * Now using 1 as special game return code to indicate that we quit
      but call a highscore check (needed for packid).
    * Added version check in the plugin install script.
     
childsplay (0.64) 24/01/2003
    * New release.
    * Minor bugfix.
    * Big improvements to the install scripts.
    * Changed desktop icons in 48x48 png and xpm (trans. and one flat).
    * Added new pacman like game.
    * Added script in the plugins package to update the score file
      from childsplay when a new game is added.
    * Added a maze generator class to utils.py.
    * The controller deletes the game object. this way the game can 
      use the __del__ method to clean up at exit time. it's important with
      threading to kill all the threads, because users quits a game always at
      the wrong moment :-)

childsplay (0.62) 01/20/2003
    * New Release
    * Fixed major bug in i18n.
    * Made the makefile a bit more quiter.
    * Changed the install.sh from the plugin package.

childsplay (0.61) 01/02/2003
    * New release.
    * Major code clean up.
    * Small bugfixes.
    * Added Danish i18n support, thanks Gunner.
    * Changed the question mark to a more nicer pic, also added a high-score pic.
    * Included a 'desktop-icon'
    * Set a window manager icon.
    * implemented a 'high-score' framework
    * Added 'high-score' screen.
    * Removed some double screen buffers (freeing memory).
    
childsplay (0.46) 10/29/2002
  * New release.
  * fixed typo in manpage.
  * implemented i18n internationalization wrapper in the controller,
    so now all the games can use it to 'i18n' there text.
  * Changed the help text handeling, the text is split in multiple
    screens, if it's longer than 14 lines.
  * Added help text to all four games and the controller.

childsplay (0.44) 10/23/2002
  * New release.
  * Code clean-up, menu class.
  * Fix bug in 'game over' stuff.
  * Added fireworks to the 'game over' stuff
  * Added a background picture.
  * Changed the menu music to pygame.mixer.music and ogg.
  * Changed the soundNpic module to use ogg files instead of
    wave files.
  * Moved the modules numbers and soundNpic to the new plugin package.

childsplay (0.42) 10/11/2002
  * New release.
  * Put some eye-candy in the help text display.
  * Added a 'really quit' dialog in the controller.
  * Switcht to a 'plug-in' system for the game modules, now it's
    possible to add or remove game modules without the need to 
    change the source code. This is important because in the near
    future the games will be split up in separate packages, to avoid
    one package of many terra-bytes :-).
  * Added a 'helptitle' method to the games.
  * code cleanup/bugfix: install.py,makefile,letters-trans.py,childsplay.py.
  * Added commandline options, most important, toggle fullscreen mode.
  * Added a manpage.

childsplay (0.4) 10/02/2002
  * New release.
  * Added a new toy for young children.
  * Changed the date in this changelog, after three weeks it hits me,
    "September is month nine, not ten":-)
  * Added help function with screen effect and ok-button.
  * Added in letters.py a 'input box'
  * Gave some logic to numbers.py, now the answer is calculated and checkt
    with the sum.
  * Changed the way the screen is cleared in the controller, it's now a 
    seperate method.
  * Removed Domb.ttf because i'm not sure about the 'embedding license', and
    replaced it with a 100% free font.
    
childsplay (0.26) 9/26/2002
  * New release
  * Fix bug in class Nonesound (module utils.py), method play takes now one arg
    to fake loop play. 
  * Change letters.py to use levels and pictures. Also use the same words in
    all levels.
  * Letters.py takes the names of the pictures (symlinks in LettersData), and
    usses them as words
  * Add letters-trans.py, a script to translate the words used by letters.py.
    Also this script creates the directory LettersData and the symlinks.
    This is a big change because now you must run a 'install script'.:-(
  * In letters.py font size is dependent of word length.
  * Added a README.games-module, brief explanation about the game modules.
  * Add install.sh, a shell script used to call letters-trans.py, this can 
    be used in the future as a install script.
  * Added a exception handeling framework for the game modules.
  * Moved the dimmer class and a own exception class to the utils module.
  * Updated the README.games-module.
  * Added a template for a game module called 'template.py' duhh.
  
childsplay (0.24) 9/17/2002
  * New release
  * Added dimmer.py (by Tobias Thelen, see module docstring)
  * 'Abuse' dimmer class as screen buffer (idea of Tobias Thelen) 
  * Added a dummy method for the help(questionmark)
  * Game modules start method are called from a loop in a loop, so
     that the first loop is the level and the second the times to play in a level
  * Game modules provide in the Game class two attr for the loop in a loop
  * Rewrite the eventloop in childsplay.py for reasons above
  * Changed letters in letters.py to capitals to resemble the keyboard
  * Changed color and position of screen items in numbers.py 
  * More code clean-up and bug fixes
  * Added sound effects in the game modules
  * Finally a created good frame work 

childsplay (0.22) 9/15/2002
  * New release
  * In memory.py check for directory's in MemoryData (normally there aren't any)
  * Removed a word list from LettersData/WORDS.EN (it has copyright stuff),
     added some words myself.
  * Clean up the code of numbers.py (it still looks ugly)

childsplay (0.20) 9/13/2002

  * Start changelog file
